MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001381XdebugCode Coveragepublic2017-01-02 20:302017-01-04 11:18
Reporterexussum 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSUbuntuOS Version16.10
Product Version2.4.0 
Target Version2.5.1Fixed in Version2.5.1 
Summary0001381: Code Coverage misses line due to missing FETCH_DIM_W overload
Descriptionhttp://i.imgur.com/Uu88Ad7.png [^]

Code coverage misses line 30 due to the following

When code is not run
 
    [28] =>
    int(-1)
    [30] =>
    int(-1)
    [31] =>
    int(-1)
 
When code IS run
 
    [28] =>
    int(1)
    [31] =>
    int(1)
Steps To ReproduceRun code in a similar format

FETCH_DIM_W seems to be missed
TagsNo tags attached.
Operating System
PHP Version7.0.5-7.0.9
Attached Files? file icon XMLReport.php [^] (990 bytes) 2017-01-03 15:42
png file icon vXOqLRq.png [^] (24,856 bytes) 2017-01-03 15:44


png file icon Original Report.png [^] (22,015 bytes) 2017-01-03 15:45


? file icon broken.php [^] (201 bytes) 2017-01-03 21:22
? file icon broken2.php [^] (373 bytes) 2017-01-03 21:22

- Relationships

-  Notes
(0004104)
exussum (reporter)
2017-01-02 20:43

30 37 FETCH_DIM_W $20 !0, !2


output from VLD
(0004105)
exussum (reporter)
2017-01-02 21:52

Upgraded to master branch

PHP 7.0.8-3ubuntu3 (cli) ( NTS )
Copyright (c) 1997-2016 The PHP Group
Zend Engine v3.0.0, Copyright (c) 1998-2016 Zend Technologies
    with Zend OPcache v7.0.8-3ubuntu3, Copyright (c) 1999-2016, by Zend Technologies
    with Xdebug v2.6.0-dev, Copyright (c) 2002-2016, by Derick Rethans


The line is still uncovered

https://3v4l.org/dlHWj/vld#output [^]

line 32 is the problematic line (same content as line 30 in the screenshot)

New screenshot http://i.imgur.com/vXOqLRq.png [^]
(0004107)
derick (administrator)
2017-01-03 15:21

Can you please share the whole file, and add that to this report? Just a snippet is not going to be enough for me to try and find this.
(0004109)
exussum (reporter)
2017-01-03 15:24

The whole file is on the 3v4l link

https://3v4l.org/dlHWj/vld#output [^]
(0004111)
derick (administrator)
2017-01-03 15:29

I can't look at 3v4l.org links when I'm on a plane without Internet access ;-) Please, just add it here. As well as screenshots as attachments.
(0004112)
exussum (reporter)
2017-01-03 15:42
edited on: 2017-01-03 15:46

Attached, I cant see how to edit the report to bump the xdebug version number

(0004144)
exussum (reporter)
2017-01-03 21:23

added 2 files, broken.php and broken2.php if you run broken.php you should get

  '/tmp/broken2.php' =>
  array(9) {
    [6] =>
    int(1)
    [7] =>
    int(1)
    [8] =>
    int(1)
    [11] =>
    int(-1)
    [12] =>
    int(1)
    [13] =>
    int(1)
    [14] =>
    int(1)
    [20] =>
    int(1)
    [21] =>
    int(-2)
  }


11 is the line which is wrong and should be run
(0004145)
exussum (reporter)
2017-01-03 21:29

For info tried this on an older PHP/xdebug version too, same result

PHP 5.6.29-0+deb8u1 (cli) (built: Dec 13 2016 16:02:08)
Copyright (c) 1997-2016 The PHP Group
Zend Engine v2.6.0, Copyright (c) 1998-2016 Zend Technologies
    with Zend OPcache v7.0.6-dev, Copyright (c) 1999-2016, by Zend Technologies
    with Xdebug v2.2.5, Copyright (c) 2002-2014, by Derick Rethan
(0004149)
derick (administrator)
2017-01-04 10:07

Thanks, I'm having a look.
(0004154)
exussum (reporter)
2017-01-04 11:18

Just built from master, All looking good :) Thanks for the quick fix!

- Issue History
Date Modified Username Field Change
2017-01-02 20:30 exussum New Issue
2017-01-02 20:43 exussum Note Added: 0004104
2017-01-02 21:52 exussum Note Added: 0004105
2017-01-03 15:21 derick Note Added: 0004107
2017-01-03 15:21 derick Assigned To => derick
2017-01-03 15:21 derick Status new => feedback
2017-01-03 15:24 exussum Note Added: 0004109
2017-01-03 15:24 exussum Status feedback => assigned
2017-01-03 15:29 derick Note Added: 0004111
2017-01-03 15:29 derick Status assigned => feedback
2017-01-03 15:42 exussum File Added: XMLReport.php
2017-01-03 15:42 exussum Note Added: 0004112
2017-01-03 15:42 exussum Status feedback => assigned
2017-01-03 15:44 exussum File Added: vXOqLRq.png
2017-01-03 15:45 exussum File Added: Original Report.png
2017-01-03 15:46 exussum Note Edited: 0004112 View Revisions
2017-01-03 21:22 exussum File Added: broken.php
2017-01-03 21:22 exussum File Added: broken2.php
2017-01-03 21:23 exussum Note Added: 0004144
2017-01-03 21:29 exussum Note Added: 0004145
2017-01-04 10:07 derick Note Added: 0004149
2017-01-04 10:07 derick Status assigned => acknowledged
2017-01-04 10:30 derick Status acknowledged => assigned
2017-01-04 10:30 derick Target Version => 2.5.1
2017-01-04 10:30 derick Summary Code Coverage misses line => Code Coverage misses line due to missing FETCH_DIM_W overload
2017-01-04 10:41 derick Status assigned => closed
2017-01-04 10:41 derick Resolution open => fixed
2017-01-04 10:41 derick Fixed in Version => 2.5.1
2017-01-04 11:18 exussum Note Added: 0004154


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker